HyperSKU
HyperSKU
  1. Orders
  • HyperSKU
    • Authentication
      • getToken
      • accessToken
      • refreshToken
    • Product
      • getPrivateProduct
      • getProductInfo
    • Logistics
      • getCountryCode
      • getLogisticsSku
      • /internationalLogisticsInfo/{storeOrderId}
    • Orders
      • cancelOrder
        GET
      • create
        POST
      • getCustomerInventoryInfo
        POST
      • getInventoryHistoryByOrderId
        POST
      • getInventoryInfo
        GET
      • getOrderInfos
        GET
      • getOrdersStatus
        POST
      • getStockOrderInfo
        GET
      • updateOrderAddress
        POST
    • Schemas
      • LoginReqDto
      • CountryCodeReponseDto
      • LoginResDto
      • CustomerInventoryDto
      • InternationalLogisticsInfo
      • OAuth2AccesTokenReq
      • LogisticsDetailDto
      • OAuth2RefreshTokenReq
      • LogisticsReponseDto
      • OAuth2TokenVo
      • LogisticsRequestDto
      • LogisticsResult
      • ObjectRestResponse
      • ObjectRestResponse«LogisticsResult»
      • ObjectRestResponse«OrderAddressInfo»
      • ObjectRestResponse«OrderResult»
      • ObjectRestResponse«OrderStatusInfo»
      • OrderAddressInfo
      • OrderBaseInfo
      • OrderCreateResponse
      • OrderInventoryHistoryDto
      • OrderInventoryResult
      • OrderItemInfo
      • OrderResult
      • OrderStatusInfo
      • OrdersGoodsDto
      • OrdersInfoDto
      • OrdersLogisticsDto
      • OrdersLogisticsTrackInfoVo
      • OrdersLogisticsTrackVo
      • OrdersShipGoodsAliVo
      • OrdersStatusDto
      • OrdersStatusResDto
      • ProductInfoDto
      • RegionCodeDto
      • ShippingAddressDto
      • SkuAttributesDto
      • SkuInfoDto
      • SkuItemDto
      • TableData«OrderInventoryResult»
      • TableData«OrderResult»
      • TableData«ProductInfoDto»
      • TableResultResponse«OrderInventoryResult»
      • TableResultResponse«OrderResult»
      • TableResultResponse«ProductInfoDto»
  1. Orders

getOrdersStatus

POST
/admin/orders/status

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
*/*
OK
Body*/*

🟢201
🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/customer/admin/orders/status' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '[
    0
]'
Response Response Example
{
    "data": [
        {
            "goodsItems": [
                {
                    "imgUrl": "string",
                    "lineItemId": 0,
                    "num": 0,
                    "skuId": 0,
                    "skuProductUrl": "string",
                    "spuId": 0,
                    "status": 0,
                    "statusDes": "string",
                    "title": "string",
                    "variantTitle": "string"
                }
            ],
            "id": 0,
            "logisticsItems": [
                {
                    "orderId": 0,
                    "shippingItems": [
                        {
                            "imgUrl": "string",
                            "lineItemId": 0,
                            "num": 0,
                            "skuId": 0,
                            "skuProductUrl": "string",
                            "spuId": 0,
                            "status": 0,
                            "statusDes": "string",
                            "title": "string",
                            "variantTitle": "string"
                        }
                    ],
                    "trackingCompany": "string",
                    "trackingNumber": "string",
                    "trackingUrl": "string"
                }
            ],
            "status": 0,
            "statusDes": "string",
            "thirdOrderId": 0,
            "thirdOrderName": "string"
        }
    ],
    "message": "string",
    "status": 0
}
Modified at 2026-05-11 06:05:17
Previous
getOrderInfos
Next
getStockOrderInfo
Built with